Quote an open request.
curl --request POST \
--url https://api.symbiosis.markets/rfq/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price": 1,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.symbiosis.markets/rfq/quote"
payload = {
"price": 1,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({price: 1, request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.symbiosis.markets/rfq/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}RFQ
Quote an open request.
POST
/
rfq
/
quote
Quote an open request.
curl --request POST \
--url https://api.symbiosis.markets/rfq/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price": 1,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.symbiosis.markets/rfq/quote"
payload = {
"price": 1,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({price: 1, request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.symbiosis.markets/rfq/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Body
application/json